uses
  dminifloat;

procedure PrintRow(M: TMinifloat);
var
  Buf: array[0..10] of AnsiChar;
begin
  MiniFloatToStr(M, Buf);
  Writeln(BinStr(M, 8), ' ', MiniFloatToInt(M), ' ', PAnsiChar(@Buf[0]));
end;

begin
  PrintRow(MINIFLOAT_0);
  PrintRow(MINIFLOAT_PLUS_INF);
  PrintRow(MINIFLOAT_MINUS_INF);
  PrintRow(MINIFLOAT_NAN);
  PrintRow(0);
  PrintRow(1);
  PrintRow(2);
  PrintRow(3);
  PrintRow(4);
  PrintRow(8);
  PrintRow(63);
  PrintRow(-1);
  PrintRow(-2);
  PrintRow(-3);
  PrintRow(-4);
end.
